## edk2 2022.11

=== debian/changelog ===
edk2 (2022.11-6+deb12u2) bookworm; urgency=medium

  * Fix overflow condition in PeCoffLoaderRelocateImage(), CVE-2024-38796:
    - d/p/0001-MdePkg-Fix-overflow-issue-in-BasePeCoffLib.patch
    - d/p/0002-MdePkg-Improving-readability-of-CVE-patch-for-PeCoff.patch
    (Closes: #1084055)
  * Fix potential UINT32 overflow in S3 ResumeCount. CVE-2024-1298:
    - d/p/MdeModulePkg-Potential-UINT32-overflow-in-S3-ResumeC.patch

 -- dann frazier <dannf@debian.org>  Tue, 05 Nov 2024 06:10:49 -0700

edk2 (2022.11-6+deb12u1) bookworm-security; urgency=medium

  * Cherry-pick security fixes from upstream:
    - Fix heap buffer overflow in Tcg2MeasureGptTable(), CVE-2022-36763
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117.patch
      + 0003-SecurityPkg-Adding-CVE-2022-36763-to-SecurityFixes.y.patch
    - Fix heap buffer overflow in Tcg2MeasurePeImage(), CVE-2022-36764
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-2.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4118.patch
      + 0003-SecurityPkg-Adding-CVE-2022-36764-to-SecurityFixes.y.patch
    - Fix build failure due to symbol collision in above patches:
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-3.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117-2.patch
      + 0003-SecurityPkg-Updating-SecurityFixes.yaml-after-symbol.patch
    - Fix integer overflow in CreateHob(), CVE-2022-36765
      + 0001-UefiPayloadPkg-Hob-Integer-Overflow-in-CreateHob.patch
    - Fix a buffer overflow via a long server ID option in DHCPv6
      client, CVE-2023-45230:
      + 0001-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Pa.patch
      + 0002-NetworkPkg-Add-Unit-tests-to-CI-and-create-Host-Test.patch
      + 0003-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Un.patch
    - Fix an out-of-bounds read vulnerability when processing the IA_NA
      or IA_TA option in a DHCPv6 Advertise message, CVE-2023-45229:
      + 0004-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45229-Pa.patch
      + 0005-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45229-Un.patch
    - Fix an out-of-bounds read when processing Neighbor Discovery
      Redirect messages, CVE-2023-45231:
      + 0006-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45231-Patc.patch
      + 0007-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45231-Unit.patch
    - Avoid an infinite loop when parsing unknown options in the
      Destination Options header of IPv6, CVE-2023-45232:
      + 0008-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45232-Patc.patch
      + 0009-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45232-Unit.patch
    - Avoid an infinite loop when parsing a PadN option in the
      Destination Options header of IPv6, CVE-2023-45233:
      + 0010-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
      + 0011-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
    - Fix a potential buffer overflow when processing a DNS Servers
      option from a DHCPv6 Advertise message, CVE-2023-45234:
      + 0013-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
    - Fix a potential buffer overflow when handling a Server ID option
      from a DHCPv6 proxy Advertise message, CVE-2023-45235:
      + 0014-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
    - Record fixes in a SecurityFix.yaml file:
      + 0015-NetworkPkg-Adds-a-SecurityFix.yaml-file.patch
    - (Closes: #1060408, #1061256)
  * Disable the built-in Shell when SecureBoot is enabled, CVE-2023-48733.
    Thanks to Mate Kukri. LP: #2040137.
    - Disable the built-in Shell when SecureBoot is enabled:
      + Disable-the-Shell-when-SecureBoot-is-enabled.patch
    - d/tests: Drop the boot-to-shell tests for images w/ Secure Boot active.
    - d/tests: Update run_cmd_check_secure_boot() to not expect shell
      interaction.

 -- dann frazier <dannf@debian.org>  Mon, 12 Feb 2024 13:43:50 -0700

edk2 (2022.11-6) unstable; urgency=medium

  * autopkgtest: Set an encoding in pexpect.spawn() calls so we can
    log to sys.stdout instead of using sys.stdout.buffer as a workaround.
  * autopkgtest: Also fail secure boot tests if QEMU process exits
    non-zero.
  * autopkgtest: Output test runtimes to help debug timeout issues like
    the one fixed in the last upload.
  * autopkgtest: Bump test timeout from 60s to 120s. We've hit the
    60s timeout on Ubuntu infrastructure with QEMU 7.2.

 -- dann frazier <dannf@debian.org>  Sun, 05 Mar 2023 13:36:02 -0700

edk2 (2022.11-5) unstable; urgency=medium

  * autopkgtest: Use 1 CPU QEMU models instead of 2. This avoids a
    performance issue on s390x instances with 1 host CPU that can
    result in timeouts. LP: #2008865.

 -- dann frazier <dannf@debian.org>  Wed, 01 Mar 2023 21:55:27 -0700

edk2 (2022.11-4) unstable; urgency=medium

  * debian/rules: various improvements from Glenn Washburn:
    - Create OVMF*_INSTALL_DIR variables to replace literals.
    - Create BUILD_TYPE variable to make it easier to select other
      build types.
    - Explicitly use python3 to run ./debian/edk2-vars-generator.py
      in case the file does not have the executable bit set.
  * autopkgtest: Fail if QEMU process exits non-zero, which can catch
    issues such as passing incorrect arguments to qemu-system-*.
  * qemu-efi-(arm,ia32): Fix indention in README.Debian.

 -- dann frazier <dannf@debian.org>  Tue, 21 Feb 2023 18:38:29 -0700

edk2 (2022.11-3) unstable; urgency=medium

  * qemu-efi-aarch64: Fix regression for VMs running on Cavium ThunderX SoCs:
    - Add d/p/0001-ArmVirtPkg-ArmPlatformLibQemu-Ensure-that-VFP-is-on-.patch
    - Add d/p/0002-ArmVirtPkg-ArmVirtQemu-Avoid-early-ID-map-on-Thunder.patch
    - debian/rules: Set -DCAVIUM_ERRATUM_27456=TRUE

 -- dann frazier <dannf@debian.org>  Mon, 09 Jan 2023 15:09:39 -0700

edk2 (2022.11-2) unstable; urgency=medium

  * d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch:

