## edk2 2023.02

=== debian/changelog ===
edk2 (2023.02-1) experimental; urgency=medium

  * New upstream release, based on edk2-stable202302 tag.
    - Drop patches merged upstream:
      + d/p/0001-ArmVirtPkg-ArmPlatformLibQemu-Ensure-that-VFP-is-on-.patch
      + d/p/0002-ArmVirtPkg-ArmVirtQemu-Avoid-early-ID-map-on-Thunder.patch
    - Refresh patches:
      + Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
      + brotlicompress-disable.diff
      + no-stack-protector-all-archs.diff
      + x64-baseline-abi.patch
  * d/binary-check updates:
    - binary-check.(allow,remove): Remove files that no longer exist
      upstream.
    - find-binaries.py: Fix exit code when new possible binaries are found.
    - Rename binary-check.allow to binary-check.ignore.
    - Convert binary-check.ignore from a list of files to a list of globs.
    - binary-check.ignore: Update.
  * debian/rules: Correctness fix for OVMF32 build target dependency,
    thanks to Glenn Washburn.
  * Provide PCD configuration for SMBIOS release info. Thanks to Fiona Ebner
    of Proxmox for noticing and reporting the need for this.

 -- dann frazier <dannf@debian.org>  Mon, 10 Apr 2023 14:16:04 -0600
