## edk2 2023.05

=== debian/changelog ===
edk2 (2023.05-2) unstable; urgency=medium

  * qemu-efi-aarch64/qemu-efi-arm: Disable the EFI_MEMORY_ATTRIBUTE
    protocol temporarily to workaround a bug in shim until distributions
    have had a chance to fix it. Closes: #1042438, LP: #2036604.
  * Drop qemu-efi transitional package. Closes: #1032695.

 -- dann frazier <dannf@debian.org>  Sat, 23 Sep 2023 08:35:39 -0600

edk2 (2023.05-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202305 tag.
    - Update debian/copyright, including change to BSD-2-Clause-Patent
      license that happened in 2019.
    - Refresh patches:
      + d/p/no-stack-protector-all-archs.diff
      + d/p/x64-baseline-abi.patch
      + d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch

 -- dann frazier <dannf@debian.org>  Sat, 22 Jul 2023 17:17:53 -0600

edk2 (2023.02-2) experimental; urgency=medium

  * Introduce efi-shell-* packages. Thanks to Heinrich Schuchardt of
    Canonical. Closes: #837093, LP: #2006980.
  * Add missing build dependency on lsb-release, thanks to José Martínez
    of Google.
  * Fix empty AAVMF_VARS.fd file, thanks to José Martínez of Google.
  * Generate a new snakeoil certificate with a CN set. LP: #2019993.

 -- dann frazier <dannf@debian.org>  Fri, 19 May 2023 17:21:36 -0600
