=== debian/control ===
Source: edk2
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
Build-Depends: bc,
 debhelper-compat (= 12),
 dh-exec,
 dosfstools,
 dpkg (>= 1.19.3),
 gcc-aarch64-linux-gnu,
 gcc-arm-linux-gnueabi,
 gcc-multilib [i386],
 iasl,
 lsb-release,
 mtools,
 nasm,
 python3,
 python3-distutils,
 python3-pexpect,
 qemu-utils,
 qemu-system-arm (>= 1:2.12+dfsg),
 qemu-system-x86 (>= 1:2.12+dfsg),
 uuid-dev,
 xorriso,
Standards-Version: 4.5.0
Homepage: http://www.tianocore.org
Vcs-Git: https://salsa.debian.org/qemu-team/edk2.git
Vcs-Browser: https://salsa.debian.org/qemu-team/edk2
XS-Build-Indep-Architecture: amd64

Package: ovmf
Architecture: all
Depends: ${misc:Depends}
Replaces: qemu-system-common (<<1.7.0+dfsg-3ubuntu4)
Multi-Arch: foreign
Description: UEFI firmware for 64-bit x86 virtual machines
 Open Virtual Machine Firmware is a build of EDK II for 64-bit x86 virtual
 machines. It includes full support for UEFI, including Secure Boot, allowing
 use of UEFI in place of a traditional BIOS in your VM.

Package: ovmf-ia32
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: UEFI firmware for 32-bit x86 virtual machines
 Open Virtual Machine Firmware is a build of EDK II for 32-bit x86 virtual
 machines. It includes full support for UEFI, including Secure Boot, allowing
 use of UEFI in place of a traditional BIOS in your VM.

Package: qemu-efi-arm
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: UEFI firmware for 32-bit ARM virtual machines
 qemu-efi-arm is a build of EDK II for 32-bit ARM virtual machines. It
 includes full support for UEFI, including Secure Boot.

Package: qemu-efi-aarch64
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu-efi (<< 0~20161202.7bbe0b3e-2)
Multi-Arch: foreign
Description: UEFI firmware for 64-bit ARM virtual machines
 qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
 includes full support for UEFI, including Secure Boot.

Package: efi-shell-ia32
Architecture: all
Description: UEFI Shell for 32-bit x86 architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellia32.efi binary for the a 32-bit x86
 architecture.

Package: efi-shell-x64
Architecture: all
Description: UEFI Shell for 64-bit x86 architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellx64.efi binary for the a 64-bit x86
 architecture.

Package: efi-shell-arm
Architecture: all
Description: UEFI Shell for 32-bit ARM architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellarm.efi binary for the a 32-bit ARM
 architecture.

Package: efi-shell-aa64
Architecture: all
Description: UEFI Shell for 64-bit ARM architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellaa64.efi binary for the a 64-bit ARM
 architecture.
