## edk2 2023.11

=== debian/changelog ===
edk2 (2023.11-5) unstable; urgency=medium

  * Cherry-pick security fixes from upstream (Closes: #1060408):
    - Fix heap buffer overflow in Tcg2MeasureGptTable(), CVE-2022-36763
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117.patch
      + 0003-SecurityPkg-Adding-CVE-2022-36763-to-SecurityFixes.y.patch
    - Fix heap buffer overflow in Tcg2MeasurePeImage(), CVE-2022-36764
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-2.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4118.patch
      + 0003-SecurityPkg-Adding-CVE-2022-36764-to-SecurityFixes.y.patch
    - Fix build failure due to symbol collision in above patches:
      + 0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-3.patch
      + 0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117-2.patch
      + 0003-SecurityPkg-Updating-SecurityFixes.yaml-after-symbol.patch
    - Fix integer overflow in CreateHob(), CVE-2022-36765
      + 0001-UefiPayloadPkg-Hob-Integer-Overflow-in-CreateHob.patch

 -- dann frazier <dannf@debian.org>  Sat, 20 Jan 2024 09:13:36 -0700

edk2 (2023.11-4) unstable; urgency=medium

  * ovmf: Enable EFI_CC_MEASUREMENT_PROTOCOL. LP: #2047922.

 -- dann frazier <dannf@debian.org>  Sat, 06 Jan 2024 11:16:34 -0700

edk2 (2023.11-3) unstable; urgency=medium

  * ovmf: Fix link to migration doc (missing .gz). Closes: #1059506.
  * Add efi-shell-riscv64 package, thanks to Heinrich Schuchardt.

 -- dann frazier <dannf@debian.org>  Sun, 31 Dec 2023 11:48:34 -0700

edk2 (2023.11-2) unstable; urgency=medium

  * ovmf: Remove dangling symlink to removed 2M image:
    - /usr/share/OVMF/OVMF_CODE.ms.fd
  * autopkgtest: Add missing dependency on qemu-efi-riscv64.
  * ovmf: Add guide and tool for migrating VMs using 2M images to 4M
    images now that python3-virt-firmware is available in Debian.
  * ovmf: Restore the combined CODE/VARS image OVMF.fd, this time
    as a 4M image. Document that it is being provided as a convenience
    for testing purposes only.

 -- dann frazier <dannf@debian.org>  Sun, 24 Dec 2023 16:24:28 -0700

edk2 (2023.11-1) experimental; urgency=medium

  * New upstream release, based on edk2-stable202311 tag.
    - Include new MbedTlsLib submodule.
    - d/binary-check.ignore: Add new upstream files.
  * qemu-efi-riscv64: Add a README.Debian, thanks to Heinrich Schuchardt.
    Closes: #1054651.
  * ovmf/qemu-efi-*: Add a Suggests for the appropriate QEMU system package.
  * d/find-binaries.py: Replace nameOK() with globs in d/binary-check.ignore.
  * d/find-binaries.py: Replace extensionOK() with globs in
    d/binary-check.ignore.
  * d/copyright: Remove superfluous file patterns. Thanks lintian.
  * d/copyright: Correct globbing order. Thanks lintian.

 -- dann frazier <dannf@debian.org>  Tue, 19 Dec 2023 14:22:47 -0700

edk2 (2023.08-1) experimental; urgency=medium

  * New upstream release, based on edk2-stable202308 tag.
  * Add qemu-efi-riscv64 package.
  * Use an infinite timeout for pyexpect scripts that run during build
    to avoid build failures due to slow builders. Closes: #1049840.
  * ovmf: Drop 2M compatibility images. See README.Debian for details.
  * Add ${misc:Depends} to efi-shell-* to address lintian warning.

 -- dann frazier <dannf@debian.org>  Wed, 25 Oct 2023 07:51:53 -0600
