=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabi,
  gcc-multilib [i386],
+ gcc-riscv64-linux-gnu,
  iasl,
  lsb-release,
  mtools,
@@ -33,6 +34,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: qemu-system-common (<<1.7.0+dfsg-3ubuntu4)
+Suggests: qemu-system-x86
 Multi-Arch: foreign
 Description: UEFI firmware for 64-bit x86 virtual machines
  Open Virtual Machine Firmware is a build of EDK II for 64-bit x86 virtual
@@ -42,6 +44,7 @@
 Package: ovmf-ia32
 Architecture: all
 Depends: ${misc:Depends}
+Suggests: qemu-system-x86
 Multi-Arch: foreign
 Description: UEFI firmware for 32-bit x86 virtual machines
  Open Virtual Machine Firmware is a build of EDK II for 32-bit x86 virtual
@@ -51,6 +54,7 @@
 Package: qemu-efi-arm
 Architecture: all
 Depends: ${misc:Depends}
+Suggests: qemu-system-arm
 Multi-Arch: foreign
 Description: UEFI firmware for 32-bit ARM virtual machines
  qemu-efi-arm is a build of EDK II for 32-bit ARM virtual machines. It
@@ -60,13 +64,23 @@
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: qemu-efi (<< 0~20161202.7bbe0b3e-2)
+Suggests: qemu-system-arm
 Multi-Arch: foreign
 Description: UEFI firmware for 64-bit ARM virtual machines
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
 
+Package: qemu-efi-riscv64
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: qemu-system-misc
+Multi-Arch: foreign
+Description: UEFI firmware for RISCV64 virtual machines
+ qemu-efi-riscv64 is a build of EDK II for RISCV64 virtual machines.
+
 Package: efi-shell-ia32
 Architecture: all
+Depends: ${misc:Depends}
 Description: UEFI Shell for 32-bit x86 architecture
  The UEFI Shell provides a command line interface running on top of the EFI API.
  It can be used to execute EFI binaries, to manage EFI variables and boot
@@ -76,27 +90,40 @@
 
 Package: efi-shell-x64
 Architecture: all
+Depends: ${misc:Depends}
 Description: UEFI Shell for 64-bit x86 architecture
  The UEFI Shell provides a command line interface running on top of the EFI API.
  It can be used to execute EFI binaries, to manage EFI variables and boot
  options, or to display details of installed devices, drivers, and protocols.
- This package contains the shellx64.efi binary for the a 64-bit x86
+ This package contains the shellx64.efi binary for the 64-bit x86
  architecture.
 
 Package: efi-shell-arm
 Architecture: all
+Depends: ${misc:Depends}
 Description: UEFI Shell for 32-bit ARM architecture
  The UEFI Shell provides a command line interface running on top of the EFI API.
  It can be used to execute EFI binaries, to manage EFI variables and boot
  options, or to display details of installed devices, drivers, and protocols.
- This package contains the shellarm.efi binary for the a 32-bit ARM
+ This package contains the shellarm.efi binary for the 32-bit ARM
  architecture.
 
 Package: efi-shell-aa64
 Architecture: all
+Depends: ${misc:Depends}
 Description: UEFI Shell for 64-bit ARM architecture
  The UEFI Shell provides a command line interface running on top of the EFI API.
  It can be used to execute EFI binaries, to manage EFI variables and boot
  options, or to display details of installed devices, drivers, and protocols.
- This package contains the shellaa64.efi binary for the a 64-bit ARM
+ This package contains the shellaa64.efi binary for the 64-bit ARM
  architecture.
+
+Package: efi-shell-riscv64
+Architecture: all
+Depends: ${misc:Depends}
+Description: UEFI Shell for 64-bit RISC-V architecture
+ The UEFI Shell provides a command line interface running on top of the EFI API.
+ It can be used to execute EFI binaries, to manage EFI variables and boot
+ options, or to display details of installed devices, drivers, and protocols.
+ This package contains the shellriscv64.efi binary for the 64-bit RISC-V
+ architecture.
